Loading...
Searching...
No Matches
aocommon Namespace Reference

## Classes

class | UVector
| A container similar to std::vector, but one that allows construction without initializing its elements. More...

## Functions

template<class Tp, class Alloc>
bool | operator== (const UVector< Tp, Alloc > &lhs, const UVector< Tp, Alloc > &rhs) noexcept
| Compare two UVectors for equality.
template<class Tp, class Alloc>
bool | operator!= (const UVector< Tp, Alloc > &lhs, const UVector< Tp, Alloc > &rhs) noexcept
| Compare two UVectors for inequality.
template<class Tp, class Alloc>
bool | operator< (const UVector< Tp, Alloc > &lhs, const UVector< Tp, Alloc > &rhs) noexcept
| Compare two UVectors for smaller than.
template<class Tp, class Alloc>
bool | operator<= (const UVector< Tp, Alloc > &lhs, const UVector< Tp, Alloc > &rhs) noexcept
| Compare two UVectors for smaller than or equal.
template<class Tp, class Alloc>
bool | operator> (const UVector< Tp, Alloc > &lhs, const UVector< Tp, Alloc > &rhs) noexcept
| Compare two UVectors for larger than.
template<class Tp, class Alloc>
bool | operator>= (const UVector< Tp, Alloc > &lhs, const UVector< Tp, Alloc > &rhs) noexcept
| Compare two UVectors for larger than or equal.
template<class Tp, class Alloc>
void | swap (UVector< Tp, Alloc > &x, UVector< Tp, Alloc > &y)
| Swap the contents of the two UVectors.